use anyhow::Context as _;
use clap::Parser as _;

mod args;

fn main() -> anyhow::Result<()> {
    let args = args::Args::try_parse().context("failed to parse arguments")?;
    println!("{args:?}");

    let _: log::Level = args.verbosity.into();
    let _ = args.color_choice.into_inner();

    Ok(())
}
