//! The definition of Spells in the Grimoire engine.

mod arguments;
mod factory;
mod traits;

/// Standard spells.
pub mod std {
    mod log;

    pub use log::Log;
}

pub use arguments::*;
pub use factory::*;
pub use traits::*;
