/// Allowed types for arguments.
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub enum Type {
    Float,
    String,
    Integer,
    Boolean,

    /// Can be [Type::Integer] or [Type::Float]. [Type::Boolean] will be converted into a
    /// [Type::Integer] constant.
    Number,

    Identifier,
    Actor,
    Printer,
}
